Unable to locate ros-jade packages when installing Gazebo 5 from source [closed]

asked 2015-12-06 12:00:54 -0500

Tormod Haugene gravatar image

updated 2015-12-07 04:34:05 -0500

I am trying to install Gazebo for ROS Jade from source though the official guide found here.

When I get to the part where I should find and install missing dependencies, using the following command:

rosdep check --from-paths . --ignore-src --rosdistro jade

I get the following output:

System dependencies have not been satisfied:
apt ros-jade-joint-limits-interface
apt ros-jade-transmission-interface
apt ros-jade-controller-manager

When I try to install these packages using 'rosdep install' from the location '~/catkin_ws$' it fails. So:

rosdep install --from-paths . --ignore-src --rosdistro jade -y

gives:

ERROR: the following rosdeps failed to install
apt: command [sudo -H apt-get install -y ros-jade-joint-limits-interface] failed

Attempting to run this command manually gives:

mypc:~/catkin_ws$ sudo -H apt-get install -y ros-jade-joint-limits-interface
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package ros-jade-joint-limits-interface

which I believe reveals the issue. I also get similar errors if trying to install the other two packages listed manually.

I have tried running 'apt-get update' and 'rosdep update', but neither seem to help.

How can I get around this issue?

Update

After posting this issue i decided to step ahead and see if the simulator would work without these packages - as described in the section "Testing Gazebo with ROS Integration" in the tutorial liked above. So far, everything works fine. Until proven otherwise, I will therefore assume these packages are unnecessary.

edit retag flag offensive reopen merge delete

Closed for the following reason the question is answered, right answer was accepted by Tormod Haugene
close date 2015-12-06 12:13:43.177931

Comments

1

So, what is the answer to your question? If you could add it, future readers could benefit from it.

gvdhoorn gravatar imagegvdhoorn ( 2015-12-07 01:59:55 -0500 )edit

Hi! It seems that these packages did not matter in order for the simulator to work. I might be wrong, of course, but so far I haven't had any problem without them. I'll it add to the answer.

Tormod Haugene gravatar imageTormod Haugene ( 2015-12-07 04:29:10 -0500 )edit